local hooksecurefunc, select, UnitBuff, UnitDebuff, UnitAura, UnitGUID, GetGlyphSocketInfo, tonumber, strfind =
      hooksecurefunc, select, UnitBuff, UnitDebuff, UnitAura, UnitGUID, GetGlyphSocketInfo, tonumber, strfind

local function onSetHyperlink(self, link)
    local type, id = string.match(link,"^(%a+):(%d+)")
    if not type or not id then return end
    if type == "quest" then
        if (C_QuestLog and C_QuestLog.IsQuestFlaggedCompleted(id)) then
            self:AddDoubleLine("Status:", "Completed", 1, 0.82, 0, 0, 1, 0)
        else
            self:AddDoubleLine("Status:", "Not Completed", 1, 0.82, 0, 1, 0, 0)
        end
        self:Show()
    end
end

hooksecurefunc(ItemRefTooltip, "SetHyperlink", onSetHyperlink)
hooksecurefunc(GameTooltip, "SetHyperlink", onSetHyperlink)